// za rad sa fajlovima
#include<fstream>
// za rad sa glavnim izlazom
#include<iostream>
using namespace std;

void main()
{
	const int maxLineLength = 100;
	char line[maxLineLength];

	// stvori objekat tipa fstream i otvari pridruzeni fajl za citanje
	fstream dat1("ulaz.txt", ios::in);
	cout << dat1.bad() << dat1.good() << dat1.fail() << dat1.eof() << endl;

	// dok ne stignes do kraja fajla
	while(dat1.peek() != EOF) // peek() bez promene stanja toka vraca znak koji bi bio procitan prilikom sledeceg citanja iz toka
//	while(!dat1.eof())        // eof() kaze da li je prilikom poslednjeg citanja procitan EOF
//  NAPOMENA: posmatrati ponasanje programa u zavisnosti od toga sta je uslov za while
	{
		// citaj liniju po liniju
		dat1.getline(line, maxLineLength);

		cout << dat1.bad() << dat1.good() << dat1.fail() << dat1.eof() << endl;
		
		// i ispisuj na glavnom izlazu
		cout << line << "\n";
	}
	
	// po obavljenom citanju, zatvori fajl
	cout << dat1.bad() << dat1.good() << dat1.fail() << dat1.eof() << endl;
	dat1.close();

	cout << dat1.bad() << dat1.good() << dat1.fail() << dat1.eof() << endl;

	fstream nema("nema.txt", ios::in);
	cout << nema.bad() << nema.good() << nema.fail() << nema.eof() << endl;
}
